<?php

//ini_set("memory_limit","1024M");
//set_time_limit(60000);

// get data
// connect import database

// old database
$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('topreef', $connection) or die("Konnte die Datenbank nicht waehlen.1");

echo "get items<br>";
// get items
$query = mysql_query('SELECT * FROM tabelle1') or die("Anfrage nicht erfolgreich");
$data = array();
while($obj = mysql_fetch_object($query)) {
	$data[] = $obj;
}

// new database
$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('topreef', $connection) or die("Konnte die Datenbank nicht waehlen.2");

echo "imports<br>";
foreach ($data as $object) {

	$sql = "
		UPDATE items
		SET
			detail_description='".mysql_real_escape_string($object->{'Shop-Langtext'})."'
		WHERE id=".$object->id."
	";
	mysql_query($sql);	
}
echo "ende";
?>